Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.deployment.application
Class DefaultEarArchive

    java.lang.Object
      org.apache.cactus.integration.ant.deployment.DefaultJarArchive
          org.apache.cactus.integration.ant.deployment.application.DefaultEarArchive

All Implemented Interfaces:
  EarArchive, JarArchive

public class DefaultEarArchive
extends DefaultJarArchive
implements EarArchive

Encapsulates access to an EAR.

Since:
  Cactus 1.5
Version:
  $Id: DefaultEarArchive.java 239003 2004-05-31 20:05:27Z vmassol $

Constructor Summary
`DefaultEarArchive(java.io.File theFile)` Constructor.
`DefaultEarArchive(java.io.InputStream theInputStream)` Constructor.

Method Summary
`ApplicationXml` | `getApplicationXml()` Returns the deployment descriptor of the web application.
`WarArchive` | `getWebModule(java.lang.String theUri)` Returns the web-app archive stored in the EAR with the specified URI.

Methods inherited from class org.apache.cactus.integration.ant.deployment.DefaultJarArchive
`containsClass, findResource, getResource, getResources`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cactus.integration.ant.deployment.JarArchive
`containsClass, findResource, getResource, getResources`

Constructor Detail

### DefaultEarArchive

    public DefaultEarArchive(java.io.File theFile)
                      throws java.io.IOException

  Constructor.

Parameters:
  `theFile` - The enterprise application archive
Throws:
  `java.io.IOException` - If there was a problem reading the EAR

### DefaultEarArchive

    public DefaultEarArchive(java.io.InputStream theInputStream)
                      throws java.io.IOException

  Constructor.

Parameters:
  `theInputStream` - The input stream for the enterprise application archive
Throws:
  `java.io.IOException` - If there was a problem reading the EAR

Method Detail

### getApplicationXml

    public final ApplicationXml getApplicationXml()
                                           throws java.io.IOException,
                                                  org.xml.sax.SAXException,
                                                  javax.xml.parsers.ParserConfigurationException

  Description copied from interface: `EarArchive`
  Returns the deployment descriptor of the web application.

  Specified by:
    `getApplicationXml` in interface `EarArchive`
  Returns:
    The parsed deployment descriptor
  Throws:
    `javax.xml.parsers.ParserConfigurationException` - If there is an XML parser configration problem
    `java.io.IOException` - If there was a problem reading the deployment descriptor in the EAR
    `org.xml.sax.SAXException` - If the deployment descriptor of the EAR could not be parsed
  See Also:
    `EarArchive.getApplicationXml()`

### getWebModule

    public final WarArchive getWebModule(java.lang.String theUri)
                                  throws java.io.IOException

  Description copied from interface: `EarArchive`
  Returns the web-app archive stored in the EAR with the specified URI.

  Specified by:
    `getWebModule` in interface `EarArchive`
  Parameters:
    `theUri` - The URI of the web module
  Returns:
    The web-app archive, or `null` if no WAR was found at the specified URI
  Throws:
    `java.io.IOException` - If there was an errors reading from the EAR or WAR
  See Also:
    `EarArchive.getWebModule(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.